.h-0 {
  height: 0;
  max-height: 0;
}

.no-border {
  border: 0;
}

.no-margin {
  margin: 0;
}

.no-padding {
  padding: 0;
}

.rotatable {
  height: 22px;
  width: 20px;

  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
}

.rotated {
  -webkit-transform: rotate(270deg);
  -moz-transform: rotate(270deg);
  -o-transform: rotate(270deg);
  transform: rotate(270deg);
}

.special-border {
  border: var(--bluewarm-meddark) 1px solid;
  border-radius: 0.3em;
}

.special-border div:not(:last-child) {
  border-right: var(--bluewarm-meddark) solid 1px;
}

.vertical-gradient {
  background: linear-gradient( 0deg, var(--bluewarm-darkest) 0%, var(--bluewarm-meddark) 70% );
}

.disabled {
  color: lightgrey;
  pointer-events: none;
}

.disabled .icon-color {
  color: lightgrey;
}

.activated {
  color:  var(--pure-yellow);
}

.activated .icon-color {
  color: var(--pure-yellow);
}

.w-icon {
  width: 2em;
}

.input-container {
  display: flex;
  align-items: center;
  border-radius: 4px;
  padding: 5px;
}

.input-container input {
  border: none;
  outline: none;
  flex-grow: 1;
}

.input-container button {
  background-color: var(--bluewarm-dark);
  color: white;
  border: none;
  padding: 5px 10px;
  cursor: pointer;
  border-radius: 4px;
}

.input-container button:disabled {
  background-color: #ccc;
  cursor: not-allowed;
}
